curl --request GET \
--url https://api.valuechecker.net/client_reference/{client_reference_id}/appraisal/{appraisal_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.valuechecker.net/client_reference/{client_reference_id}/appraisal/{appraisal_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.valuechecker.net/client_reference/{client_reference_id}/appraisal/{appraisal_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"appraisal_id": 97773,
"client_reference_id": 9337,
"cpid": 1262828314,
"rpid": 1263096838,
"create_time": "2023-07-25 13:54:37",
"update_time": "2023-07-25 13:54:37",
"cp_name_cart": "Apple iPhone 14 Pro Max 1TB",
"rp_name_cart": "Apple iPhone 14 Pro Max 1024GB (2022)",
"cp_pic_url": "https://img.valuechecker.net/,---.jpg",
"rp_pic_url": "https://img.valuechecker.net/,---.jpg",
"item_quantity": 1,
"replacement_cost_value": 1684.99,
"date_damage": "2024-05-07",
"date_purchase": "2024-05-01",
"cp_price_estimate": 1000,
"claimed_amount": 1000,
"rp_price_date": "2023-07-25 11:07:41",
"homepage_client_category_id": 2740,
"selected_client_category_id": 2740,
"shop_name": "Amazon UK",
"shop_url": "https://offer.valuechecker.net/kihxRTjWvGNjq4Dj7CKanf",
"is_compensation_based_on_claimed_amount": false,
"depr_extra_one_year_no_receipt": false,
"offer_id": 228246862,
"appraisal_status_id": 2
}{
"error": "Invalid Authorization header",
"event_code": "ERIT00",
"event_dict": {
"event_severity": "ERROR",
"title": "Invalid Authorization header",
"description": "Please provide the right authorization token"
}
}{
"error": "Appraisal id 239055 was not found",
"event_code": "ERNFAP",
"event_dict": {
"event_severity": "ERROR",
"title": "Wrong \"appraisal_id\" value",
"description": "The appraisal_id \"239055\" was not found"
}
}Get Specific Appraisal
Authorizations
Note! Prefix your with apiKey. Note the space after "apiKey ".
Path Parameters
The client reference identifier.
The appraisal identifier.
Query Parameters
The client ID for the request. It's required if you have access to multiple clients with your API key. Otherwise, it's optional.
Optional session identifier of the user.
Response
OK
0.01The date of the submitted damage for this product.
The date of purchase as reported by the claimant.
The claimed amount for the appraisal reported by the claimant.
0.01Use 'is_compensation_based_on_claimed_amount' instead. This field will be removed in a future version.
Base the ACV calculation on the value from claimed_amount (Purchase Price / Repair) instead of Replacement Cost.
The ID of the assigned appraisal status.
Accessible through attachments parameter.
Show child attributes
Show child attributes